Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.log
Class WarningMessageTestResult

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.log.WarningMessageTestResult

All Implemented Interfaces:
  OWLTestResult

    public class WarningMessageTestResult

extends Object
implements OWLTestResult

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 21, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTestResult
`TYPE_ERROR, TYPE_OWL_FULL, TYPE_WARNING`

Constructor Summary
`WarningMessageTestResult(WarningMessageLogRecord logRecord)`

Method Summary
`RDFResource` | `getHost()`
`Icon` | `getIcon()` Gets an Icon to represent this type of OWLTestResult.
`String` | `getMessage()`
`OWLTest` | `getOWLTest()`
`int` | `getType()` Gets the type of result.
`Object` | `getUserObject()` Gets the (optional) user object attached to this OWLTestResult.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarningMessageTestResult

    public WarningMessageTestResult(WarningMessageLogRecord logRecord)

Method Detail

### getHost

    public RDFResource getHost()

  Specified by:
    `getHost` in interface `OWLTestResult`

### getIcon

    public Icon getIcon()

  Gets an Icon to represent this type of OWLTestResult.

  Specified by:
    `getIcon` in interface `OWLTestResult`
  Returns:
    an Icon (not null)

### getMessage

    public String getMessage()

  Specified by:
    `getMessage` in interface `OWLTestResult`

### getOWLTest

    public OWLTest getOWLTest()

  Specified by:
    `getOWLTest` in interface `OWLTestResult`

### getType

    public int getType()

  Gets the type of result.

  Specified by:
    `getType` in interface `OWLTestResult`
  Returns:
    one of TYPE_xxx

### getUserObject

    public Object getUserObject()

  Gets the (optional) user object attached to this OWLTestResult.

  Specified by:
    `getUserObject` in interface `OWLTestResult`
  Returns:
    the user object (e.g. to provide more info on how to repair this)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.